
From: Stephen Smalley <sds@epoch.ncsc.mil>

This patch fixes the type of the ssec pointer in the sk_free_security
function.  This has no current impact as the magic element is the top of each
structure.  Thanks to Chad Hanson of TCS for discovering the bug and
submitting the patch.  


---

 25-akpm/security/selinux/hooks.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN security/selinux/hooks.c~selinux-fix-struct-type security/selinux/hooks.c
--- 25/security/selinux/hooks.c~selinux-fix-struct-type	2004-04-03 03:00:07.173141072 -0800
+++ 25-akpm/security/selinux/hooks.c	2004-04-03 03:00:07.178140312 -0800
@@ -272,7 +272,7 @@ static int sk_alloc_security(struct sock
 
 static void sk_free_security(struct sock *sk)
 {
-	struct task_security_struct *ssec = sk->sk_security;
+	struct sk_security_struct *ssec = sk->sk_security;
 
 	if (sk->sk_family != PF_UNIX || ssec->magic != SELINUX_MAGIC)
 		return;

_
